petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMShellSetLocalToLocal

Sets the routines used to perform a local to local scatter

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToLocal(DM dm,PetscErrorCode (*begin)(DM,Vec,InsertMode,Vec),PetscErrorCode (*end)(DM,Vec,InsertMode,Vec))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| begin | - the routine that begins the local to local scatter
| end | - the routine that ends the local to local scatter

Notes: If these functions are not provided but DMShellSetLocalToLocalVecScatter() is called then DMLocalToLocalBeginDefaultShell()/DMLocalToLocalEndDefaultShell() are used to to perform the transfers

### See Also

DMShellSetGlobalToLocal(), DMLocalToLocalBeginDefaultShell(), DMLocalToLocalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages